Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.rmi
Class ServerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.common.T3Exception
                              |
                              +--weblogic.rmi.RemoteException
                                    |
                                    +--weblogic.rmi.ServerException

public final class ServerException
extends RemoteException

This exception is provided for compatibility with java.rmi.*

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.rmi.RemoteException
`detail`

Constructor Summary
`ServerException()`
`ServerException(java.lang.String s)` Constructs a ServerException with the specified string.
`ServerException(java.lang.String s, java.lang.Throwable e)` Constructs a ServerException with the specified string and nested exception

Methods inherited from class weblogic.rmi.RemoteException
`getMessage`

Methods inherited from class weblogic.common.T3Exception
`getNested, getNestedException, printStackTrace, printStackTrace, setNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerException

    public ServerException()

### ServerException

    public ServerException(java.lang.String s)

  Constructs a ServerException with the specified string.

  Parameters:
    `s` - String message

### ServerException

    public ServerException(java.lang.String s,
                           java.lang.Throwable e)

  Constructs a ServerException with the specified string and nested exception

  Parameters:
    `s` - String message
    `e` - Nested exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD